#include <iostream>

using namespace std;

int broj_veruju_joj[1005];
int broj_veruje[1005];

int main()
{
    int n,m;
    cin>>n>>m;
    int i;
    int a,b;
    for(i=0;i<n;i++){
        broj_veruje[i]=0;
        broj_veruju_joj[i]=0;
    }
    for(i=0;i<m;i++){
        cin>>a>>b;
        (a--);
        (b--);
        (broj_veruje[a])++;
        (broj_veruju_joj[b])++;
    }
    int sudija=-1;
    for(i=0;i<n;i++){
        if(broj_veruje[i]==0 && broj_veruju_joj[i]==n-1){
            sudija=i+1;
        }
    }
    cout<<sudija<<endl;
    return 0;
}
